## libslow5lib 0.6.0+dfsg

=== debian/changelog ===
libslow5lib (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Trim trailing whitespace.
  * Set upstream metadata fields: Contact.

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 09:13:12 +0200

libslow5lib (0.5.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add hardening opts

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Jul 2022 23:36:05 +0530

libslow5lib (0.5.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1014210)

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jul 2022 13:39:22 +0530
