=== debian/control ===
Source: libslow5lib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               d-shlibs,
               dh-python,
               python3-all,
               python3-all-dev,
               libstreamvbyte-dev,
               libzstd-dev,
               zlib1g-dev,
               cython3,
               python3-setuptools,
               python3-numpy,
               python3-wheel
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/libslow5lib
Vcs-Git: https://salsa.debian.org/med-team/libslow5lib.git
Homepage: https://github.com/hasindu2008/slow5lib
Rules-Requires-Root: no

Package: libslow5-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: library for reading & writing SLOW5 files
 Slow5lib is a software library for reading & writing SLOW5 files.
 Slow5lib is designed to facilitate use of data in SLOW5 format by third-
 party software packages. Existing packages that read/write data in FAST5
 format can be easily modified to support SLOW5.
 .
 SLOW5 is a new file format for storing signal data from Oxford Nanopore
 Technologies (ONT) devices. SLOW5 was developed to overcome inherent
 limitations in the standard FAST5 signal data format that prevent
 efficient, scalable analysis and cause many headaches for developers.
 SLOW5 can be encoded in human-readable ASCII format, or a more compact
 and efficient binary format (BLOW5) - this is analogous to the seminal
 SAM/BAM format for storing DNA sequence alignments. The BLOW5 binary
 format supports *zlib* (DEFLATE) compression, or other compression
 methods, thereby minimising the data storage footprint while still
 permitting efficient parallel access. Detailed benchmarking experiments
 have shown that SLOW5 format is an order of magnitude faster and
 significantly smaller than FAST5.

Package: libslow5-dev
Architecture: any
Section: libdevel
Depends: libslow5-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: header and static library for reading & writing SLOW5 files
 Slow5lib is a software library for reading & writing SLOW5 files.
 Slow5lib is designed to facilitate use of data in SLOW5 format by third-
 party software packages. Existing packages that read/write data in FAST5
 format can be easily modified to support SLOW5.
 .
 SLOW5 is a new file format for storing signal data from Oxford Nanopore
 Technologies (ONT) devices. SLOW5 was developed to overcome inherent
 limitations in the standard FAST5 signal data format that prevent
 efficient, scalable analysis and cause many headaches for developers.
 SLOW5 can be encoded in human-readable ASCII format, or a more compact
 and efficient binary format (BLOW5) - this is analogous to the seminal
 SAM/BAM format for storing DNA sequence alignments. The BLOW5 binary
 format supports *zlib* (DEFLATE) compression, or other compression
 methods, thereby minimising the data storage footprint while still
 permitting efficient parallel access. Detailed benchmarking experiments
 have shown that SLOW5 format is an order of magnitude faster and
 significantly smaller than FAST5.
 .
 This is the development package containing headers and static library.

Package: python3-slow5
Architecture: any
Section: python
Depends: libslow5-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Description: Python3 modul for reading & writing SLOW5 files
 Slow5lib is a software library for reading & writing SLOW5 files.
 Slow5lib is designed to facilitate use of data in SLOW5 format by third-
 party software packages. Existing packages that read/write data in FAST5
 format can be easily modified to support SLOW5.
 .
 SLOW5 is a new file format for storing signal data from Oxford Nanopore
 Technologies (ONT) devices. SLOW5 was developed to overcome inherent
 limitations in the standard FAST5 signal data format that prevent
 efficient, scalable analysis and cause many headaches for developers.
 SLOW5 can be encoded in human-readable ASCII format, or a more compact
 and efficient binary format (BLOW5) - this is analogous to the seminal
 SAM/BAM format for storing DNA sequence alignments. The BLOW5 binary
 format supports *zlib* (DEFLATE) compression, or other compression
 methods, thereby minimising the data storage footprint while still
 permitting efficient parallel access. Detailed benchmarking experiments
 have shown that SLOW5 format is an order of magnitude faster and
 significantly smaller than FAST5.
 .
 This is the Python3 module.
