=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

export PYBUILD_NAME=slow5

DEFPY3 := $(shell py3versions -v -d)
PY_PLATFORM := $(shell python3 -c 'from distutils.util import get_platform; print(get_platform())')

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
                -DSLOW5_USE_ZSTD="ON"
	dh_auto_configure --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	for py in `py3versions -s`; do \
		$$py setup.py build; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p lib
	cp -a obj-$(DEB_HOST_GNU_TYPE)/libslow5_static.a lib/libslow5.a
	$(MAKE) -C test zstd=1
	PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) python3 -m unittest -v python/test.py
endif

override_dh_install:
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5_static.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5.a
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev include usr \
		    debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5.so
	dh_install
	dh_install -plibslow5-dev src/*.h usr/include/slow5/
	dh_install -ppython3-slow5 build/lib.*-*/* usr/lib/python3/dist-packages/

execute_after_dh_install:
	dh_numpy3

override_dh_installexamples:
	dh_installexamples
	dh_installexamples -ppython3-slow5 python/example.py
	dh_installexamples -ppython3-slow5 examples/*.slow5
