## libslow5lib 0.7.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -26,16 +26,21 @@
 	done
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p lib
 	cp -a obj-$(DEB_HOST_GNU_TYPE)/libslow5_static.a lib/libslow5.a
 	$(MAKE) -C test zstd=1
-	PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) python3 -m unittest -v python/test.py
-endif
+	for pys in `py3versions -s`; do \
+                echo $$pys; \
+                pydir=`$$pys debian/get-pyver-dir.py`; \
+                echo $$pydir; X=0; \
+                PYTHONPATH=`pwd`/build/$$pydir $$pys -m unittest -v python/test.py || X=$$?; \
+		if [ "$X" != 0 ]; then exit $$X; fi; \
+        done
 
 override_dh_install:
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5_static.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5.a
 	d-shlibmove --commit \
+		    --t64 \
 		    --multiarch \
 		    --devunversioned \
 		    --exclude-la \
