## libslow5lib 0.7.0+dfsg

=== debian/changelog ===
libslow5lib (0.7.0+dfsg-3build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:11:00 +0000

libslow5lib (0.7.0+dfsg-3build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:32:46 +0000

libslow5lib (0.7.0+dfsg-3build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:27:40 +0000

libslow5lib (0.7.0+dfsg-3build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:33:05 +0100

libslow5lib (0.7.0+dfsg-3) unstable; urgency=medium

  * use_debian_packaged_streamvbyte.patch: fix a type error. (Closes: #1075205)
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * d/s/lintian-overrides: flag error caused by t64 transition.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Jul 2024 22:36:50 +0200

libslow5lib (0.7.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063136

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:28:36 +0000

libslow5lib (0.7.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Drop B-D on python3-all. It should not B-D both on -all and -all-dev
  * Add a tiny script to print correct pyversion directory wherein so lib
    is present during build
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * d/rules:
    + Remove un-needed nocheck override from test
    + Hard-fail if a test fails
    + Run build time test for all supported python version ensuring directory
      with solib corresponding to python interpreter version is selected
      (Closes: #1028666)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Jan 2023 03:28:31 +0530

libslow5lib (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reflect symbol change in symbols file - crossing fingers that the
    only dependency does not use the only renamed symbol and thus do not
    bump SONAME

 -- Andreas Tille <tille@debian.org>  Thu, 13 Oct 2022 08:18:19 +0200

libslow5lib (0.6.0+dfsg-2) unstable; urgency=medium

  * Add symbols file
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Fix build time test
    Closes: #1020023

 -- Andreas Tille <tille@debian.org>  Mon, 19 Sep 2022 14:13:36 +0200
