=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libslow5lib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
-               d-shlibs,
+               d-shlibs (>= 0.106~),
                dh-python,
-               python3-all,
                python3-all-dev,
                libstreamvbyte-dev,
                libzstd-dev,
@@ -16,13 +16,16 @@
                python3-setuptools,
                python3-numpy,
                python3-wheel
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/libslow5lib
 Vcs-Git: https://salsa.debian.org/med-team/libslow5lib.git
 Homepage: https://github.com/hasindu2008/slow5lib
 Rules-Requires-Root: no
 
-Package: libslow5-0
+Package: libslow5-0t64
+Provides: ${t64:Provides}
+Replaces: libslow5-0
+Conflicts: libslow5-0 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -50,9 +53,10 @@
 Package: libslow5-dev
 Architecture: any
 Section: libdevel
-Depends: libslow5-0 (= ${binary:Version}),
+Depends: libslow5-0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: header and static library for reading & writing SLOW5 files
  Slow5lib is a software library for reading & writing SLOW5 files.
  Slow5lib is designed to facilitate use of data in SLOW5 format by third-
@@ -77,7 +81,7 @@
 Package: python3-slow5
 Architecture: any
 Section: python
-Depends: libslow5-0 (= ${binary:Version}),
+Depends: libslow5-0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends}
