## libslow5lib 1.3.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 project(slow5lib)
 
 #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O2 -std=gnu99 -fopenmp")
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O2 -std=c99")
+IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O0 -std=c99")
+ELSEIF()
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O2 -std=c99")
+ENDIF()
 
 option(SLOW5_USE_ZSTD "Use ZSTD" OFF) #OFF by default
 if(SLOW5_USE_ZSTD)
@@ -15,6 +19,14 @@
     link_libraries("-lzstd")
 endif(SLOW5_USE_ZSTD)
 unset(SLOW5_USE_ZSTD CACHE)
+
+option(SLOW5_ENABLE_MT "Use SLOW5_ENABLE_MT" OFF) #OFF by default
+if(SLOW5_ENABLE_MT)
+    add_compile_options("-DSLOW5_ENABLE_MT")
+    link_libraries("-lpthread")
+    set(slow5_mt src/slow5_mt.c)
+endif(SLOW5_ENABLE_MT)
+unset(SLOW5_ENABLE_MT CACHE)
 
 # option(SLOW5_USE_OPENMP "Use OPENMP" OFF) #OFF by default
 # if(SLOW5_USE_OPENMP)
@@ -25,8 +37,8 @@
 
 # include_directories(${PROJECT_SOURCE_DIR}/src)
 # include_directories(${PROJECT_SOURCE_DIR}/test)
-include_directories(${PROJECT_SOURCE_DIR}/include)
-include_directories(${PROJECT_SOURCE_DIR}/thirdparty/streamvbyte/include)
+# include_directories(${PROJECT_SOURCE_DIR}/include)
+# include_directories(${PROJECT_SOURCE_DIR}/thirdparty/streamvbyte/include)
 
 set(slow5_ src/slow5.c)
 set(slow5_idx src/slow5_idx.c)
@@ -47,13 +59,14 @@
 option(SLOW5_LINK_STATIC "libslow5 will create a static lib" OFF) #OFF by default
 if(SLOW5_LINK_STATIC)
     message( STATUS "libslow5 will create a static lib" )
-    add_library(slow5 STATIC ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press})
+    add_library(slow5 STATIC ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press} ${slow5_mt})
 else()
     message( STATUS "libslow5 will create a shared lib" )
-    add_library(slow5 SHARED ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press})
+    add_library(slow5 SHARED ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press} ${slow5_mt})
 endif(SLOW5_LINK_STATIC)
 unset(SLOW5_LINK_STATIC CACHE)
 
+target_include_directories(slow5 PUBLIC ${PROJECT_SOURCE_DIR}/include)
 target_link_libraries(slow5 streamvbyte_slow5)
 
 # Build a static lib
