=== debian/changelog ===
libslow5lib (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.1+dfsg. (Closes: #1069771, #1117756)
  * use_debian_packaged_streamvbyte.patch: refresh.
  * enable_shared_and_static.patch: refresh.
  * fix-baseline.patch: refresh.
  * d/libslow5-0t64.symbols: append new symbols.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: build depends on python3-numpy-dev.
  * d/rules: install all examples.
  * d/clean: cleanup extra files. (Closes: #1048497)
  * d/rules: protect include/ directory from mishaps. (Closes: #1049769)
  * unshuffle-makefile.patch: new: fix make --reverse. (Closes: #1105533)
  * enable_shared_and_static.patch: normalise timestamp.
  * d/watch: convert to v5 Github template.
  * d/libslow5-0t64.lintian-overrides: deleted.
    The override has become unused.
  * d/rules: fix permissions on README.md files.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Nov 2025 22:20:23 +0100
