=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                cython3,
                python3-setuptools,
                python3-numpy,
+               python3-numpy-dev,
                python3-wheel
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libslow5lib
 Vcs-Git: https://salsa.debian.org/med-team/libslow5lib.git
 Homepage: https://github.com/hasindu2008/slow5lib
-Rules-Requires-Root: no
 
 Package: libslow5-0t64
 Provides: ${t64:Provides}
