=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
         done
 
 override_dh_install:
+	cp -r include include.orig
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5_static.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5.a
 	d-shlibmove --commit \
 		    --t64 \
@@ -49,11 +50,18 @@
 	dh_install
 	dh_install -plibslow5-dev src/*.h usr/include/slow5/
 	dh_install -ppython3-slow5 build/lib.*-*/* usr/lib/python3/dist-packages/
+	mv -vf include.orig include
 
 execute_after_dh_install:
 	dh_numpy3
 
+SLOW5_EXAMPLES_DIR = debian/python3-slow5/usr/share/doc/python3-slow5/examples
+execute_after_dh_fixperms:
+	chmod -x $(SLOW5_EXAMPLES_DIR)/README.md
+	chmod -x $(SLOW5_EXAMPLES_DIR)/adv/README.md
+	chmod -x $(SLOW5_EXAMPLES_DIR)/mt/README.md
+
 override_dh_installexamples:
 	dh_installexamples
 	dh_installexamples -ppython3-slow5 python/example.py
-	dh_installexamples -ppython3-slow5 examples/*.slow5
+	dh_installexamples -ppython3-slow5 examples/*
