=== debian/tests/control ===
Tests: run-pybinding-test
Depends: @, python3-all
Restrictions: allow-stderr

Tests: run-pkg-test
Depends: @, build-essential, zlib1g-dev, libstreamvbyte-dev
Restrictions: allow-stderr
