=== debian/watch ===
Version: 5

Template: Github
Owner: hasindu2008
Project: slow5lib
Repack-Suffix: +dfsg
DVersion-Mangle: auto
