## libslow5lib 1.4.0+dfsg

=== debian/changelog ===
libslow5lib (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.0+dfsg
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.
  * unshuffle-makefile.patch: forwarded upstream.
  * unshuffle-makefile.patch: use short form BTS URI.
  * d/patches/*: declare remaining changes forwarding not-needed.

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Feb 2026 17:35:55 +0100
