=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: science
-Priority: optional
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
                d-shlibs (>= 0.106~),
@@ -17,7 +16,7 @@
                python3-numpy,
                python3-numpy-dev,
                python3-wheel
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/libslow5lib
 Vcs-Git: https://salsa.debian.org/med-team/libslow5lib.git
 Homepage: https://github.com/hasindu2008/slow5lib
